# Get WhatsApp Template Details

> Fetch the full details of a single approved WhatsApp template.

Developers · REST API

Fetch the full details of a single WhatsApp template on a channel.

**GET** `/stable/open/whatsapp/get-template-detail`

Base URL: `https://api.myalice.ai`. Authenticate with the `X-Myalice-Api-Key`
header.

## Query parameters

**`platform_id` (integer) — required**

The ID of the WhatsApp channel (platform).

**`template_id` (integer) — required**

The ID of the template to fetch.

## Example

```bash cURL
curl -X GET "https://api.myalice.ai/stable/open/whatsapp/get-template-detail?platform_id=1022&template_id=102323213" \
  -H "X-Myalice-Api-Key: YOUR_API_KEY"
```

```json Response
{
  "id": 102323213,
  "name": "submit_feedback",
  "body": "Hi {{1}}, please submit your feedback for our service",
  "header": { "type": "text", "value": "Submit Feedback" },
  "footer": "Powered by Revora",
  "buttons": [
    { "id": 1, "type": "url", "title": "Submit Feedback", "value": "https://example.com/feedback" }
  ],
  "attributes": [ { "attribute": "1" } ]
}
```

---
HTML: https://userevora.com/docs/developers/rest-api/get-whatsapp-template-details
